Bug 124070 - Keyboard applet gives no way to specify custom xmodmap file
Keyboard applet gives no way to specify custom xmodmap file
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-05-23 15:45 EDT by Pierre Sarrazin
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-07-21 12:41:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pierre Sarrazin 2004-05-23 15:45:16 EDT
Description of problem:
I have a custom xmodmap file that resides in
/usr/share/xmodmap/xmodmap.qc-ps.  Before FC2, the GNOME keyboard
applet allowed me to specify 'qc-ps' as the keyboard type to use,
and this would load my custom file.  The keyboard applet that comes
with FC2 does not seem to offer such functionality.

Version-Release number of selected component (if applicable):

How reproducible:
Every time.

Steps to Reproduce:
1. Add the GNOME keyboard applet to the panel.
2. Open its preferences dialog.
3. See no field to specify a custom xmodmap file.
Additional info:
My FC2 system was just upgraded from FC1.
Comment 1 Mark McLoughlin 2004-07-21 12:41:09 EDT
Things have changed pretty radically in FC2. We're now using an XKB
based layout switcher (XKB is an X extension for this stuff).

You can get things back the way they were by disabling the XKEYBOARD
extension in your xorg.conf:

# To disable the XKEYBOARD extension, uncomment XkbDisable.
#       Option  "XkbDisable"

but ultimately you'll probably be better off trying to figure out how
to do what you want with XKB.

Note You need to log in before you can comment on or make changes to this bug.